Subject: Re: [PATCH v2] shallow: set borders which are all reachable after clone shallow since

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Jan 2026 12:59:46 -0800

Junio C Hamano <[email-masked]> writes:

>> ...
>> The modified implementation of a generic shallow boundary finder
>> based on rev-list ensures that all shallow border commits are reachable
>> also after being grafted. This is achieved by inspecting all parents
>> of each initial border commit candidate. The border commit candidate
>> is set border only when all its parents wern't on the initial list of
>> candidates. Otherwise the border commit candidate is not set as border
>> however its parents that weren't on the list of candidates are set as
>> borders.
>
> It is a minor point, but there are "boundary" and "border" used more
> or less interchangeably in the proposed commit log message, and
> would make the readers wonder if there are differences (I do not
> think we use the word "border" anywhere in our documentation).  It
> is minor as we do not have such mixture in the end-user facing part
> of the documentation with this patch.
>
> I'll let those (cc'ed) who may be more familiar with, or, at least
> have more code than I have in, the shallow infrastructure to comment
> on the way the updated code uses the revision machinery.

After this exchange, the topic has been dormant for almost full two
months.  As I do not deal with shallow clones myself, even though I
understand that some folks rely on it working, I'd really prefer to
see somebody who are familiar with the underlying logic to review
this patch if we were to move forward with it.

Thanks.